Xalan-Java: Class UnImplNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt
Class UnImplNode

    java.lang.Object
      |
      +--org.apache.xalan.xslt.UnImplNode

Direct Known Subclasses:
  ElemTemplateElement, ResultTreeFrag, Stylesheet

public class UnImplNode
extends java.lang.Object
implements org.w3c.dom.Element, org.w3c.dom.NodeList

**For internal use only** To be subclassed by classes that wish to fake being nodes.

Constructor Summary
`UnImplNode()` **For internal use only**

Method Summary
`org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node newChild)` **For internal use only** Unimplemented.
`org.w3c.dom.Node` | `cloneNode(boolean deep)` **For internal use only** Unimplemented.
`java.lang.String` | `getAttribute(java.lang.String name)` **For internal use only** Unimplemented.
`org.w3c.dom.Attr` | `getAttributeNode(java.lang.String name)` **For internal use only**
`org.w3c.dom.Attr` | `getAttributeNodeNS(java.lang.String namespaceURI, java.lang.String localName)` **For internal use only** Unimplemented.
`java.lang.String` | `getAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` **For internal use only** Unimplemented.
`org.w3c.dom.NamedNodeMap` | `getAttributes()` **For internal use only** Unimplemented.
`org.w3c.dom.NodeList` | `getChildNodes()` **For internal use only** Unimplemented.
`org.w3c.dom.NodeList` | `getElementsByTagName(java.lang.String name)` **For internal use only** Unimplemented.
`org.w3c.dom.NodeList` | `getElementsByTagNameNS(java.lang.String namespaceURI, java.lang.String localName)` **For internal use only** Unimplemented.
`org.w3c.dom.Node` | `getFirstChild()` **For internal use only** Unimplemented.
`org.w3c.dom.Node` | `getLastChild()` **For internal use only** Unimplemented.
`int` | `getLength()` **For internal use only** Unimplemented.
`java.lang.String` | `getLocalName()` **For internal use only** Unimplemented.
`java.lang.String` | `getNamespaceURI()` **For internal use only** Unimplemented.
`org.w3c.dom.Node` | `getNextSibling()` **For internal use only** Unimplemented.
`java.lang.String` | `getNodeName()` **For internal use only** Unimplemented.
`short` | `getNodeType()` **For internal use only** Unimplemented.
`java.lang.String` | `getNodeValue()` **For internal use only** Unimplemented.
`org.w3c.dom.Document` | `getOwnerDocument()` **For internal use only** Unimplemented.
`org.w3c.dom.Node` | `getParentNode()` **For internal use only** Unimplemented.
`java.lang.String` | `getPrefix()` **For internal use only** Unimplemented.
`org.w3c.dom.Node` | `getPreviousSibling()` **For internal use only** Unimplemented.
`java.lang.String` | `getTagName()` **For internal use only** Unimplemented.
`boolean` | `hasAttribute(java.lang.String name)` **For internal use only**
`boolean` | `hasAttributeNS(java.lang.String name, java.lang.String x)` **For internal use only**
`boolean` | `hasAttributes()` **For internal use only** Introduced in DOM Level 2.
`boolean` | `hasChildNodes()` **For internal use only** Unimplemented.
`org.w3c.dom.Node` | `insertBefore(org.w3c.dom.Node newChild, org.w3c.dom.Node refChild)` **For internal use only** Unimplemented.
`org.w3c.dom.Node` | `item(int index)` **For internal use only** Unimplemented.
`void` | `normalize()` **For internal use only** Unimplemented.
`void` | `removeAttribute(java.lang.String name)` **For internal use only** Unimplemented.
`org.w3c.dom.Attr` | `removeAttributeNode(org.w3c.dom.Attr oldAttr)` **For internal use only** Unimplemented.
`void` | `removeAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` **For internal use only** Unimplemented.
`org.w3c.dom.Node` | `removeChild(org.w3c.dom.Node oldChild)` **For internal use only** Unimplemented.
`org.w3c.dom.Node` | `replaceChild(org.w3c.dom.Node newChild, org.w3c.dom.Node oldChild)` **For internal use only** Unimplemented.
`void` | `setAttribute(java.lang.String name, java.lang.String value)` **For internal use only** Unimplemented.
`org.w3c.dom.Attr` | `setAttributeNode(org.w3c.dom.Attr newAttr)` **For internal use only** Unimplemented.
`org.w3c.dom.Attr` | `setAttributeNodeNS(org.w3c.dom.Attr newAttr)` **For internal use only** Unimplemented.
`void` | `setAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String value)` **For internal use only** Unimplemented.
`void` | `setNodeValue(java.lang.String nodeValue)` **For internal use only** Unimplemented.
`void` | `setPrefix(java.lang.String prefix)` **For internal use only** Unimplemented.
`boolean` | `supports(java.lang.String feature, java.lang.String version)` **For internal use only** Unimplemented.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnImplNode

    public UnImplNode()

Method Detail

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node newChild)
                                 throws org.w3c.dom.DOMException

  **For internal use only** Unimplemented.

### hasChildNodes

    public boolean hasChildNodes()

  **For internal use only** Unimplemented.

### getNodeType

    public short getNodeType()

  **For internal use only** Unimplemented.

### getParentNode

    public org.w3c.dom.Node getParentNode()

  **For internal use only** Unimplemented.

### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

  **For internal use only** Unimplemented.

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  **For internal use only** Unimplemented.

### getLastChild

    public org.w3c.dom.Node getLastChild()

  **For internal use only** Unimplemented.

### getNextSibling

    public org.w3c.dom.Node getNextSibling()

  **For internal use only** Unimplemented.

### getLength

    public int getLength()

  **For internal use only** Unimplemented.
  Specified by:
    getLength in interface org.w3c.dom.NodeList

### item

    public org.w3c.dom.Node item(int index)

  **For internal use only** Unimplemented.
  Specified by:
    item in interface org.w3c.dom.NodeList

### getOwnerDocument

    public org.w3c.dom.Document getOwnerDocument()

  **For internal use only** Unimplemented.

### getTagName

    public java.lang.String getTagName()

  **For internal use only** Unimplemented.
  Specified by:
    getTagName in interface org.w3c.dom.Element

### getNodeName

    public java.lang.String getNodeName()

  **For internal use only** Unimplemented.

### normalize

    public void normalize()

  **For internal use only** Unimplemented.

### getElementsByTagName

    public org.w3c.dom.NodeList getElementsByTagName(java.lang.String name)

  **For internal use only** Unimplemented.
  Specified by:
    getElementsByTagName in interface org.w3c.dom.Element

### removeAttributeNode

    public org.w3c.dom.Attr removeAttributeNode(org.w3c.dom.Attr oldAttr)
                                         throws org.w3c.dom.DOMException

  **For internal use only** Unimplemented.
  Specified by:
    removeAttributeNode in interface org.w3c.dom.Element

### setAttributeNode

    public org.w3c.dom.Attr setAttributeNode(org.w3c.dom.Attr newAttr)
                                      throws org.w3c.dom.DOMException

  **For internal use only** Unimplemented.
  Specified by:
    setAttributeNode in interface org.w3c.dom.Element

### getAttributeNode

    public org.w3c.dom.Attr getAttributeNode(java.lang.String name)

  Specified by:
    getAttributeNode in interface org.w3c.dom.Element

### removeAttribute

    public void removeAttribute(java.lang.String name)
                         throws org.w3c.dom.DOMException

  **For internal use only** Unimplemented.
  Specified by:
    removeAttribute in interface org.w3c.dom.Element

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.String value)
                      throws org.w3c.dom.DOMException

  **For internal use only** Unimplemented.
  Specified by:
    setAttribute in interface org.w3c.dom.Element

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

  **For internal use only** Unimplemented.
  Specified by:
    getAttribute in interface org.w3c.dom.Element

### hasAttribute

    public boolean hasAttribute(java.lang.String name)

  Specified by:
    hasAttribute in interface org.w3c.dom.Element

### hasAttributeNS

    public boolean hasAttributeNS(java.lang.String name,
                                  java.lang.String x)

  Specified by:
    hasAttributeNS in interface org.w3c.dom.Element

### hasAttributes

    public boolean hasAttributes()

  **For internal use only** Introduced in DOM Level 2.

### getElementsByTagNameNS

    public org.w3c.dom.NodeList getElementsByTagNameNS(java.lang.String namespaceURI,
                                                       java.lang.String localName)

  **For internal use only** Unimplemented.
  Specified by:
    getElementsByTagNameNS in interface org.w3c.dom.Element

### setAttributeNodeNS

    public org.w3c.dom.Attr setAttributeNodeNS(org.w3c.dom.Attr newAttr)
                                        throws org.w3c.dom.DOMException

  **For internal use only** Unimplemented.
  Specified by:
    setAttributeNodeNS in interface org.w3c.dom.Element

### getAttributeNodeNS

    public org.w3c.dom.Attr getAttributeNodeNS(java.lang.String namespaceURI,
                                               java.lang.String localName)

  **For internal use only** Unimplemented.
  Specified by:
    getAttributeNodeNS in interface org.w3c.dom.Element

### removeAttributeNS

    public void removeAttributeNS(java.lang.String namespaceURI,
                                  java.lang.String localName)
                           throws org.w3c.dom.DOMException

  **For internal use only** Unimplemented.
  Specified by:
    removeAttributeNS in interface org.w3c.dom.Element

### setAttributeNS

    public void setAttributeNS(java.lang.String namespaceURI,
                               java.lang.String qualifiedName,
                               java.lang.String value)
                        throws org.w3c.dom.DOMException

  **For internal use only** Unimplemented.
  Specified by:
    setAttributeNS in interface org.w3c.dom.Element

### getAttributeNS

    public java.lang.String getAttributeNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  **For internal use only** Unimplemented.
  Specified by:
    getAttributeNS in interface org.w3c.dom.Element

### getPreviousSibling

    public org.w3c.dom.Node getPreviousSibling()

  **For internal use only** Unimplemented.

### cloneNode

    public org.w3c.dom.Node cloneNode(boolean deep)

  **For internal use only** Unimplemented.

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws org.w3c.dom.DOMException

  **For internal use only** Unimplemented.

### setNodeValue

    public void setNodeValue(java.lang.String nodeValue)
                      throws org.w3c.dom.DOMException

  **For internal use only** Unimplemented.

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  **For internal use only** Unimplemented.

### insertBefore

    public org.w3c.dom.Node insertBefore(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node refChild)
                                  throws org.w3c.dom.DOMException

  **For internal use only** Unimplemented.

### replaceChild

    public org.w3c.dom.Node replaceChild(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node oldChild)
                                  throws org.w3c.dom.DOMException

  **For internal use only** Unimplemented.

### removeChild

    public org.w3c.dom.Node removeChild(org.w3c.dom.Node oldChild)
                                 throws org.w3c.dom.DOMException

  **For internal use only** Unimplemented.

### supports

    public boolean supports(java.lang.String feature,
                            java.lang.String version)

  **For internal use only** Unimplemented.

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  **For internal use only** Unimplemented.

### getPrefix

    public java.lang.String getPrefix()

  **For internal use only** Unimplemented.

### setPrefix

    public void setPrefix(java.lang.String prefix)
                   throws org.w3c.dom.DOMException

  **For internal use only** Unimplemented.

### getLocalName

    public java.lang.String getLocalName()

  **For internal use only** Unimplemented.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.